Loading...
Searching...
No Matches
tiny_matrix< T >

## Detailed Description

template<class T>
class rheolef::tiny_matrix< T >

Definition at line 62 of file tiny_matvec.h.

## Public Types

typedef tiny_vector< T >::size_type | size_type

## Public Member Functions

| tiny_matrix (size_type nr=0, size_type nc=0)
size_type | nrow () const
size_type | ncol () const
T & | operator() (size_type i, size_type j)
const T & | operator() (size_type i, size_type j) const
T & | operator() (size_type i)
const T & | operator() (size_type i) const
void | set_origin (size_type i, size_type j)
void | resize (size_type nr, size_type nc)
size_type | get_row_origin () const
size_type | get_col_origin () const
void | fill (const T &val)
void | reset ()

## Member Typedef Documentation

## size_type

template<class T >

typedef tiny_vector<T>::size_type size_type

Definition at line 64 of file tiny_matvec.h.

## Constructor & Destructor Documentation

## tiny_matrix()

template<class T >

tiny_matrix | ( | size_type | nr = `0`,
|  | size_type | nc = `0`
| ) |  |

Definition at line 120 of file tiny_matvec.h.

## Member Function Documentation

## nrow()

template<class T >

size_type nrow | ( |  | ) | const

Definition at line 66 of file tiny_matvec.h.

## ncol()

template<class T >

size_type ncol | ( |  | ) | const

Definition at line 67 of file tiny_matvec.h.

## operator()() [1/4]

template<class T >

T & operator() | ( | size_type | i,
|  | size_type | j
| ) |  |

Definition at line 68 of file tiny_matvec.h.

## operator()() [2/4]

template<class T >

const T & operator() | ( | size_type | i,
|  | size_type | j
| ) |  | const

Definition at line 69 of file tiny_matvec.h.

## operator()() [3/4]

template<class T >

T & operator() | ( | size_type | i | ) |

Definition at line 70 of file tiny_matvec.h.

## operator()() [4/4]

template<class T >

const T & operator() | ( | size_type | i | ) | const

Definition at line 71 of file tiny_matvec.h.

## set_origin()

template<class T >

void set_origin | ( | size_type | i,
|  | size_type | j
| ) |  |

Definition at line 72 of file tiny_matvec.h.

## resize()

template<class T >

void resize | ( | size_type | nr,
|  | size_type | nc
| ) |  |

Definition at line 134 of file tiny_matvec.h.

## get_row_origin()

template<class T >

size_type get_row_origin | ( |  | ) | const

Definition at line 74 of file tiny_matvec.h.

## get_col_origin()

template<class T >

size_type get_col_origin | ( |  | ) | const

Definition at line 75 of file tiny_matvec.h.

## fill()

template<class T >

void fill | ( | const T & | val | ) |

Definition at line 148 of file tiny_matvec.h.

## reset()

template<class T >

void reset | ( |  | ) |

Definition at line 77 of file tiny_matvec.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/fem/geo_element/tiny_matvec.h